openapi: 3.1.0
info:
  title: Search on Google 
  description: >-
    Search the web for real-time, accurate information using Google Search tool.
  version: v1.0.0
servers:
  - url: https://api.chat.buxo.ca
paths:
  /api/search/google:
    post:
      operationId: GoogleSearch
      description: Conduct a precise Google search using the provided keyword for accurate results.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: The search keyword or query to retrieve relevant information.
              required:
                - keyword
      responses:
        '200':
          description: Search completed successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        title:
                          type: string
                          description: The title of the retrieved search result.
                        url:
                          type: string
                          description: The URL link of the retrieved search result.
                        description:
                          type: string
                          description: The snippet or brief description of the retrieved search result.
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Error message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer